Skip to main content
POST
/
api
/
v1
/
outbound_payments
Create an outbound payment
curl --request POST \
  --url https://payments.oaknetwork.org/api/v1/outbound_payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_method_id": "660e8400-e29b-41d4-a716-446655440000",
  "amount": 50000,
  "currency": "BRL",
  "customer_id": "550e8400-e29b-41d4-a716-446655440000"
}
'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "type": "<string>",
    "provider": "<string>",
    "source": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "destination": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "settlement_date": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Body

application/json
payment_method_id
string<uuid>
required

Target payment method ID

amount
integer
required

Amount in smallest currency unit

Required range: x >= 1
currency
enum<string>
required

Currency code

Available options:
USD,
BRL
customer_id
string<uuid>
required

Customer ID

metadata
object

Custom metadata

Response

Payout initiated

msg
string
required

Human-readable message describing the result

data
object
required

Transaction object (field casing in response is lowercased for status, type, provider, currency)